/*
 * Copyright (C) 2008 The Trustees of Columbia University in the City of New York. 
 * All rights reserved.
 *
 * See the file LICENSE included in this distribution for details.
 */

#include "distance.h"


Distance::Distance() {
  ;
  
}//Distance



Distance::~Distance() {
  ;

}//~Distance


void Distance::setParams(uint32 uiBase, uint32 uiKeyLen) {

  m_uiBase = uiBase;
  m_uiKeyLen = uiKeyLen;

  m_uiLastIndex = m_uiBase;

  if(m_uiKeyLen > m_uiBase) {
    m_uiLastIndex = m_uiKeyLen - m_uiBase + 1;
  }

/*  
  m_objKey = 0;
  m_objKey = 0<<uiKeyLen;
*/
}//setBase


uint32 Distance::getBase() {
  return m_uiBase;
}//getBase


void Distance::setKey(const BigInt& objKey) {
  m_objKey = objKey;
}//setKey


BigInt Distance::getKey() {
  return m_objKey;
}//getKey


int32 Distance::getKeyAt(uint32 iPos, BigInt& objKey) {

  return 0;
}
